package com.ssj.service.reading.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/** 
 * @author  ZhangCaibao 
 * @version 2018年8月14日 下午4:51:11 
 * 类说明 
 */
public class PositionJoinReq  extends BaseRequest{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	@ApiModelProperty(name="leagueLat",value="纬度，浮点数",required=true)
   private String leagueLat ="23.150356";
	@ApiModelProperty(name="leagueLng",value="经度，浮点数",required=true)
   private String leagueLng="113.340431";
	@ApiModelProperty(name="pageSize",value="一页10条",required=true)
   private int pageSize =10;
	@ApiModelProperty(name="pageNo",value="第几页",required=true)
   private int pageNo =1;
	@ApiModelProperty(name="vipId",value="vipId",required=false)
   private String vipId;
	@ApiModelProperty(name="leagueName",value="leagueName",required=false)
	private String leagueName;
	public String getLeagueLat() {
		return leagueLat;
	}
	public void setLeagueLat(String leagueLat) {
		this.leagueLat = leagueLat;
	}
	public String getLeagueLng() {
		return leagueLng;
	}
	public void setLeagueLng(String leagueLng) {
		this.leagueLng = leagueLng;
	}
	public int getPageSize() {
		return pageSize;
	}
	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}
	public int getPageNo() {
		return pageNo;
	}
	public void setPageNo(int pageNo) {
		this.pageNo = pageNo;
	}
	public String getVipId() {
		return vipId;
	}
	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public String getLeagueName() {
		return leagueName;
	}

	public void setLeagueName(String leagueName) {
		this.leagueName = leagueName;
	}
}
